## golang-github-containers-image 4.0.1

=== Makefile ===
.PHONY: all tools test validate lint .gitvalidation fmt

export GOPROXY=https://proxy.golang.org

# Which github repository and branch to use for testing with skopeo
SKOPEO_REPO = containers/skopeo
SKOPEO_BRANCH = master
# Set SUDO=sudo to run container integration tests using sudo.
SUDO =

# when cross compiling _for_ a Darwin or windows host, then we must use openpgp
BUILD_TAGS_WINDOWS_CROSS = containers_image_openpgp
BUILD_TAGS_DARWIN_CROSS = containers_image_openpgp

BUILDTAGS = btrfs_noversion libdm_no_deferred_remove
BUILDFLAGS := -tags "$(BUILDTAGS)"

PACKAGES := $(shell GO111MODULE=on go list $(BUILDFLAGS) ./...)
SOURCE_DIRS = $(shell echo $(PACKAGES) | awk 'BEGIN{FS="/"; RS=" "}{print $$4}' | uniq)

PREFIX ?= ${DESTDIR}/usr
MANINSTALLDIR=${PREFIX}/share/man
GOMD2MAN ?= $(shell command -v go-md2man || echo '$(GOBIN)/go-md2man')
MANPAGES_MD = $(wildcard docs/*.5.md)
MANPAGES ?= $(MANPAGES_MD:%.md=%)

# On macOS, (brew install gpgme) installs it within /usr/local, but /usr/local/include is not in the default search path.
# Rather than hard-code this directory, use gpgme-config. Sadly that must be done at the top-level user
# instead of locally in the gpgme subpackage, because cgo supports only pkg-config, not general shell scripts,
# and gpgme does not install a pkg-config file.
# If gpgme is not installed or gpgme-config can’t be found for other reasons, the error is silently ignored
# (and the user will probably find out because the cgo compilation will fail).
GPGME_ENV = CGO_CFLAGS="$(shell gpgme-config --cflags 2>/dev/null)" CGO_LDFLAGS="$(shell gpgme-config --libs 2>/dev/null)"

all: tools test validate .gitvalidation

build:
	$(GPGME_ENV) GO111MODULE="on" go build $(BUILDFLAGS) ./...

$(MANPAGES): %: %.md
	$(GOMD2MAN) -in $< -out $@

docs: $(MANPAGES)

install-docs: docs
	install -d -m 755 ${MANINSTALLDIR}/man5
	install -m 644 docs/*.5 ${MANINSTALLDIR}/man5/

install: install-docs

cross:
	GOOS=windows $(MAKE) build BUILDTAGS="$(BUILDTAGS) $(BUILD_TAGS_WINDOWS_CROSS)"
	GOOS=darwin $(MAKE) build BUILDTAGS="$(BUILDTAGS) $(BUILD_TAGS_DARWIN_CROSS)"

tools: tools.timestamp

tools.timestamp: Makefile
	@GO111MODULE="off" go get -u $(BUILDFLAGS) golang.org/x/lint/golint
	@GO111MODULE="off" go get $(BUILDFLAGS) github.com/vbatts/git-validation
	@touch tools.timestamp

clean:
	rm -rf tools.timestamp $(MANPAGES)

test:
	@$(GPGME_ENV) GO111MODULE="on" go test $(BUILDFLAGS) -cover ./...

# This is not run as part of (make all), but Travis CI does run this.
# Demonstrating a working version of skopeo (possibly with modified SKOPEO_REPO/SKOPEO_BRANCH, e.g.
#    make test-skopeo SKOPEO_REPO=runcom/skopeo-1 SKOPEO_BRANCH=oci-3 SUDO=sudo
# ) is a requirement before merging; note that Travis will only test
# the master branch of the upstream repo.
test-skopeo:
	@echo === Testing skopeo build
	@project_path=$$(pwd) && export GOPATH=$$(mktemp -d) && \
		skopeo_path=$${GOPATH}/src/github.com/containers/skopeo && \
		vendor_path=$${skopeo_path}/vendor/github.com/containers/image && \
		git clone -b $(SKOPEO_BRANCH) https://github.com/$(SKOPEO_REPO) $${skopeo_path} && \
		cd $${skopeo_path} && \
		GO111MODULE="on" go mod edit -replace github.com/containers/image=$${project_path} && \
		make vendor && \
		make BUILDTAGS="$(BUILDTAGS)" binary-local test-all-local && \
		$(SUDO) make BUILDTAGS="$(BUILDTAGS)" check && \
		rm -rf $${skopeo_path}

fmt:
	@gofmt -l -s -w $(SOURCE_DIRS)

validate: lint
	@GO111MODULE="on" go vet ./...
	@test -z "$$(gofmt -s -l . | grep -ve '^vendor' | tee /dev/stderr)"

lint:
	@out="$$(GO111MODULE="on" golint $(PACKAGES))"; \
	if [ -n "$$out" ]; then \
		echo "$$out"; \
		exit 1; \
	fi

# When this is running in travis, it will only check the travis commit range
.gitvalidation:
	@which git-validation > /dev/null 2>/dev/null || (echo "ERROR: git-validation not found. Consider 'make clean && make tools'" && false)
ifeq ($(TRAVIS),true)
	git-validation -q -run DCO,short-subject,dangling-whitespace
else
	git fetch -q "https://github.com/containers/image.git" "refs/heads/master"
	upstream="$$(git rev-parse --verify FETCH_HEAD)" ; \
		git-validation -q -run DCO,short-subject,dangling-whitespace -range $$upstream..HEAD
endif

=== debian/changelog ===
golang-github-containers-image (4.0.1-1) unstable; urgency=medium

  * New upstream version 4.0.1
  * refresh patches

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 20 Oct 2019 08:31:31 -0400

golang-github-containers-image (3.0.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 19 Oct 2019 21:55:07 -0400

golang-github-containers-image (3.0.2-1) experimental; urgency=medium

  [ Reinhard Tartler ]
  * Initial release (Closes: #922842)
  * backport storage options API

  [ Dmitry Smirnov ]
  * Clean-up "ostree-stub.patch" (better way to remove files than to un-patch them).
  * (Build-)Depends: don't use transitional packages.

  [ Reinhard Tartler ]
  * New upstream version 3.0.2
  * drop patches applied upstream
  * add patch to built against golang-github-coreos-bolt-dev

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 01 Oct 2019 07:11:58 -0400

=== debian/control ===
Source: golang-github-containers-image
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-burntsushi-toml-dev,
               golang-github-containers-storage-dev (>= 1.11),
               golang-github-coreos-bbolt-dev,
               golang-github-docker-distribution-dev,
               golang-github-docker-docker-credential-helpers-dev,
               golang-github-docker-docker-dev,
               golang-github-docker-go-connections-dev,
               golang-github-docker-libtrust-dev,
               golang-github-ghodss-yaml-dev,
               golang-github-imdario-mergo-dev,
               golang-github-klauspost-pgzip-dev,
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-image-spec-dev (>= 1.0.1-2),
               golang-github-opencontainers-selinux-dev (>= 1.0.0),
               golang-github-pkg-errors-dev,
               golang-github-pquerna-ffjson-dev,
               golang-github-proglottis-gpgme-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-stretchr-testify-dev,
               golang-github-ulikunitz-xz-dev,
               golang-github-vbatts-tar-split-dev,
               golang-github-vbauerster-mpb-dev,
               golang-github-xeipuuv-gojsonschema-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sync-dev,
               golang-gopkg-cheggaaa-pb.v1-dev,
               libbtrfs-dev,
               libdevmapper-dev
Standards-Version: 4.2.1
Homepage: https://github.com/containers/image
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-image
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-image.git
XS-Go-Import-Path: github.com/containers/image
Testsuite: autopkgtest-pkg-go

Package: golang-github-containers-image-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-boltdb-bolt-dev,
         golang-github-burntsushi-toml-dev,
         golang-github-docker-distribution-dev,
         golang-github-docker-docker-credential-helpers-dev,
         golang-github-docker-docker-dev,
         golang-github-docker-go-connections-dev,
         golang-github-docker-libtrust-dev,
         golang-github-ghodss-yaml-dev,
         golang-github-imdario-mergo-dev,
         golang-github-klauspost-pgzip-dev,
         golang-github-opencontainers-go-digest-dev,
         golang-github-opencontainers-image-spec-dev (>= 1.0.1-2),
         golang-github-opencontainers-selinux-dev,
         golang-github-pkg-errors-dev,
         golang-github-proglottis-gpgme-dev,
         golang-github-sirupsen-logrus-dev,
         golang-github-stretchr-testify-dev,
         golang-github-ulikunitz-xz-dev,
         golang-github-vbatts-tar-split-dev,
         golang-github-vbauerster-mpb-dev,
         golang-github-xeipuuv-gojsonschema-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-net-dev,
         golang-golang-x-sync-dev,
         golang-gopkg-cheggaaa-pb.v1-dev,
Description: golang library to work with containers' images
 This library aims at working in various way with containers' images and
 container image registries and allows an application to pull and push
 images from container image registries, like the upstream docker
 registry. It also implements "simple image signing".

=== debian/rules ===
#!/usr/bin/make -f

# disable optional components
TAGS="containers_image_ostree_stub"

export DH_GOLANG_EXCLUDES := openshift

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- -tags $(TAGS)

override_dh_auto_test:
	# TODO: investiate failures

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-containers-image-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/containers/image/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-containers-image 5.0.0

=== debian/changelog ===
golang-github-containers-image (5.0.0-2ubuntu2) groovy; urgency=medium

  * Disable TestComputeDiffID - workaround failure on ubuntu autopkgtest

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 29 May 2020 07:01:41 -0400

golang-github-containers-image (5.0.0-2ubuntu1) groovy; urgency=medium

  * Build-Depend on golang-github-docker-distribution-dev
    - In debian, this dependency comes via the
      golang-github-docker-docker-dev package, but ubuntu lacks that
      dependency

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 21 May 2020 22:30:13 -0400

golang-github-containers-image (5.0.0-2) unstable; urgency=medium

  * New upstream release.
  * "golang-github-coreos-bbolt-dev (>= 1.3.3~)" (Closes: #947486).
  * Install example "registries.conf".
  * DH to version 12.
  * Upload to unstable.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 03 Jan 2020 06:50:03 +1100

golang-github-containers-image (4.0.1-3) unstable; urgency=medium

  * Removed "golang-github-docker-distribution-dev" from (Build-)Depends.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 01 Dec 2019 04:14:01 +1100

golang-github-containers-image (4.0.1-2) unstable; urgency=medium

  * Install docs.
  * Enabled tests.
  * Enabled ostree support.
  * Standards-Version: 4.4.1.
  * Added myself to Uploaders.
  * (Build-)Depends:
    + golang-github-ostreedev-ostree-go-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 11 Nov 2019 13:18:15 +1100

=== debian/control ===
Source: golang-github-containers-image
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Dmitry Smirnov <onlyjob@debian.org>,
Build-Depends: debhelper-compat (= 12),
    dh-golang,
    golang-any,
    golang-github-burntsushi-toml-dev,
    golang-github-containers-storage-dev (>= 1.11),
    golang-github-coreos-bbolt-dev (>= 1.3.3~),
    golang-github-docker-distribution-dev,
    golang-github-docker-docker-credential-helpers-dev,
    golang-github-docker-docker-dev,
    golang-github-docker-go-connections-dev,
    golang-github-docker-libtrust-dev,
    golang-github-ghodss-yaml-dev,
    golang-github-imdario-mergo-dev,
    golang-github-klauspost-pgzip-dev,
    golang-github-opencontainers-go-digest-dev,
    golang-github-opencontainers-image-spec-dev (>= 1.0.1-2),
    golang-github-opencontainers-selinux-dev (>= 1.0.0),
    golang-github-ostreedev-ostree-go-dev,
    golang-github-pkg-errors-dev,
    golang-github-pquerna-ffjson-dev,
    golang-github-proglottis-gpgme-dev,
    golang-github-sirupsen-logrus-dev,
    golang-github-stretchr-testify-dev,
    golang-github-ulikunitz-xz-dev,
    golang-github-vbatts-tar-split-dev,
    golang-github-vbauerster-mpb-dev,
    golang-github-xeipuuv-gojsonschema-dev,
    golang-golang-x-crypto-dev,
    golang-golang-x-net-dev,
    golang-golang-x-sync-dev,
    golang-gopkg-cheggaaa-pb.v1-dev,
#   go-md2man,
    libbtrfs-dev,
    libdevmapper-dev,
Standards-Version: 4.4.1
Homepage: https://github.com/containers/image
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-image
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-image.git
XS-Go-Import-Path: github.com/containers/image
Testsuite: autopkgtest-pkg-go

Package: golang-github-containers-image-dev
Architecture: all
Depends: ${misc:Depends},
    golang-github-burntsushi-toml-dev,
    golang-github-coreos-bbolt-dev (>= 1.3.3~),
    golang-github-docker-distribution-dev,
    golang-github-docker-docker-credential-helpers-dev,
    golang-github-docker-docker-dev,
    golang-github-docker-go-connections-dev,
    golang-github-docker-libtrust-dev,
    golang-github-ghodss-yaml-dev,
    golang-github-imdario-mergo-dev,
    golang-github-klauspost-pgzip-dev,
    golang-github-opencontainers-go-digest-dev,
    golang-github-opencontainers-image-spec-dev (>= 1.0.1-2),
    golang-github-opencontainers-selinux-dev,
    golang-github-ostreedev-ostree-go-dev,
    golang-github-pkg-errors-dev,
    golang-github-proglottis-gpgme-dev,
    golang-github-sirupsen-logrus-dev,
    golang-github-stretchr-testify-dev,
    golang-github-ulikunitz-xz-dev,
    golang-github-vbatts-tar-split-dev,
    golang-github-vbauerster-mpb-dev,
    golang-github-xeipuuv-gojsonschema-dev,
    golang-golang-x-crypto-dev,
    golang-golang-x-net-dev,
    golang-golang-x-sync-dev,
    golang-gopkg-cheggaaa-pb.v1-dev,
Description: golang library to work with containers' images
 This library aims at working in various way with containers' images and
 container image registries and allows an application to pull and push
 images from container image registries, like the upstream docker
 registry. It also implements "simple image signing".

## golang-github-containers-image 5.5.1

=== debian/changelog ===
golang-github-containers-image (5.5.1-3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Disable TestComputeDiffID - workaround failure on ubuntu autopkgtest
    - Build-Depend on golang-github-docker-distribution-dev

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 24 Jul 2020 14:47:04 -0400

golang-github-containers-image (5.5.1-3) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 20 Jul 2020 07:15:32 -0400

golang-github-containers-image (5.5.1-2) experimental; urgency=medium

  * Tighten dependency on golang-github-vbauerster-mpb-dev

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 10 Jul 2020 19:50:38 -0400

golang-github-containers-image (5.5.1-1) experimental; urgency=medium

  * New upstream version: 5.5.1
  * Tighten some dependencies

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 10 Jul 2020 08:29:09 -0400

golang-github-containers-image (5.4.3-1) experimental; urgency=medium

  * New upstream version 5.4.3
  * Refresh patches

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 20 Apr 2020 07:33:15 -0400

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,24 @@
 Build-Depends: debhelper-compat (= 12),
     dh-golang,
     golang-any,
+    golang-github-acarl005-stripansi-dev,
     golang-github-burntsushi-toml-dev,
-    golang-github-containers-storage-dev (>= 1.11),
+    golang-github-containers-ocicrypt-dev,
+    golang-github-containers-storage-dev (>= 1.20),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-docker-distribution-dev,
     golang-github-docker-docker-credential-helpers-dev,
     golang-github-docker-docker-dev,
+    golang-github-docker-distribution-dev,
     golang-github-docker-go-connections-dev,
     golang-github-docker-libtrust-dev,
+    golang-github-fullsailor-pkcs7-dev,
     golang-github-ghodss-yaml-dev,
     golang-github-imdario-mergo-dev,
     golang-github-klauspost-pgzip-dev,
     golang-github-opencontainers-go-digest-dev,
     golang-github-opencontainers-image-spec-dev (>= 1.0.1-2),
-    golang-github-opencontainers-selinux-dev (>= 1.0.0),
+    golang-github-opencontainers-selinux-dev (>= 1.5),
     golang-github-ostreedev-ostree-go-dev,
     golang-github-pkg-errors-dev,
     golang-github-pquerna-ffjson-dev,
@@ -29,7 +33,7 @@
     golang-github-stretchr-testify-dev,
     golang-github-ulikunitz-xz-dev,
     golang-github-vbatts-tar-split-dev,
-    golang-github-vbauerster-mpb-dev,
+    golang-github-vbauerster-mpb-dev (>= 5.0.3),
     golang-github-xeipuuv-gojsonschema-dev,
     golang-golang-x-crypto-dev,
     golang-golang-x-net-dev,
@@ -48,11 +52,15 @@
 Package: golang-github-containers-image-dev
 Architecture: all
 Depends: ${misc:Depends},
+    golang-github-acarl005-stripansi-dev,
     golang-github-burntsushi-toml-dev,
+    golang-github-containers-ocicrypt-dev,
+    golang-github-containers-storage-dev (>= 1.20),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-docker-distribution-dev,
     golang-github-docker-docker-credential-helpers-dev,
     golang-github-docker-docker-dev,
+    golang-github-docker-distribution-dev,
     golang-github-docker-go-connections-dev,
     golang-github-docker-libtrust-dev,
     golang-github-ghodss-yaml-dev,
@@ -68,7 +76,7 @@
     golang-github-stretchr-testify-dev,
     golang-github-ulikunitz-xz-dev,
     golang-github-vbatts-tar-split-dev,
-    golang-github-vbauerster-mpb-dev,
+    golang-github-vbauerster-mpb-dev (>= 5.0.3),
     golang-github-xeipuuv-gojsonschema-dev,
     golang-golang-x-crypto-dev,
     golang-golang-x-net-dev,

## golang-github-containers-image 5.5.2

=== Makefile ===
--- 
+++ 
@@ -4,9 +4,14 @@
 
 # Which github repository and branch to use for testing with skopeo
 SKOPEO_REPO = containers/skopeo
-SKOPEO_BRANCH = master
+SKOPEO_BRANCH = release-1.1
 # Set SUDO=sudo to run container integration tests using sudo.
 SUDO =
+
+GOBIN := $(shell go env GOBIN)
+ifeq ($(GOBIN),)
+GOBIN := $(GOPATH)/bin
+endif
 
 # when cross compiling _for_ a Darwin or windows host, then we must use openpgp
 BUILD_TAGS_WINDOWS_CROSS = containers_image_openpgp
@@ -23,6 +28,8 @@
 GOMD2MAN ?= $(shell command -v go-md2man || echo '$(GOBIN)/go-md2man')
 MANPAGES_MD = $(wildcard docs/*.5.md)
 MANPAGES ?= $(MANPAGES_MD:%.md=%)
+
+export PATH := $(PATH):${GOBIN}
 
 # On macOS, (brew install gpgme) installs it within /usr/local, but /usr/local/include is not in the default search path.
 # Rather than hard-code this directory, use gpgme-config. Sadly that must be done at the top-level user
@@ -52,15 +59,26 @@
 	GOOS=windows $(MAKE) build BUILDTAGS="$(BUILDTAGS) $(BUILD_TAGS_WINDOWS_CROSS)"
 	GOOS=darwin $(MAKE) build BUILDTAGS="$(BUILDTAGS) $(BUILD_TAGS_DARWIN_CROSS)"
 
-tools: tools.timestamp
+tools: .install.gitvalidation .install.golangci-lint .install.golint
 
-tools.timestamp: Makefile
-	@GO111MODULE="off" go get -u $(BUILDFLAGS) golang.org/x/lint/golint
-	@GO111MODULE="off" go get $(BUILDFLAGS) github.com/vbatts/git-validation
-	@touch tools.timestamp
+.install.gitvalidation:
+	if [ ! -x "$(GOBIN)/git-validation" ]; then \
+		GO111MODULE="off" go get $(BUILDFLAGS) github.com/vbatts/git-validation; \
+	fi
+
+.install.golangci-lint:
+	if [ ! -x "$(GOBIN)/golangci-lint" ]; then \
+		curl -sfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh| sh -s -- -b $(GOBIN) v1.21.0; \
+	fi
+
+.install.golint:
+	# Note, golint is only needed for Skopeo's tests.
+	if [ ! -x "$(GOBIN)/golint" ]; then \
+		GO111MODULE="off" go get -u $(BUILDFLAGS) golang.org/x/lint/golint; \
+	fi
 
 clean:
-	rm -rf tools.timestamp $(MANPAGES)
+	rm -rf $(MANPAGES)
 
 test:
 	@$(GPGME_ENV) GO111MODULE="on" go test $(BUILDFLAGS) -cover ./...
@@ -72,14 +90,13 @@
 # the master branch of the upstream repo.
 test-skopeo:
 	@echo === Testing skopeo build
-	@project_path=$$(pwd) && export GOPATH=$$(mktemp -d) && \
+	@project_path=$$(pwd) && project_module=$$(GO111MODULE="on" go list .) && export GOPATH=$$(mktemp -d) && \
 		skopeo_path=$${GOPATH}/src/github.com/containers/skopeo && \
-		vendor_path=$${skopeo_path}/vendor/github.com/containers/image && \
 		git clone -b $(SKOPEO_BRANCH) https://github.com/$(SKOPEO_REPO) $${skopeo_path} && \
 		cd $${skopeo_path} && \
-		GO111MODULE="on" go mod edit -replace github.com/containers/image=$${project_path} && \
+		GO111MODULE="on" go mod edit -replace $${project_module}=$${project_path} && \
 		make vendor && \
-		make BUILDTAGS="$(BUILDTAGS)" binary-local test-all-local && \
+		make BUILDTAGS="$(BUILDTAGS)" binary-local test-unit-local && \
 		$(SUDO) make BUILDTAGS="$(BUILDTAGS)" check && \
 		rm -rf $${skopeo_path}
 
@@ -91,19 +108,15 @@
 	@test -z "$$(gofmt -s -l . | grep -ve '^vendor' | tee /dev/stderr)"
 
 lint:
-	@out="$$(GO111MODULE="on" golint $(PACKAGES))"; \
-	if [ -n "$$out" ]; then \
-		echo "$$out"; \
-		exit 1; \
-	fi
+	$(GOBIN)/golangci-lint run --build-tags "$(BUILDTAGS)"
 
 # When this is running in travis, it will only check the travis commit range
 .gitvalidation:
-	@which git-validation > /dev/null 2>/dev/null || (echo "ERROR: git-validation not found. Consider 'make clean && make tools'" && false)
+	@which $(GOBIN)/git-validation > /dev/null 2>/dev/null || (echo "ERROR: git-validation not found. Consider 'make clean && make tools'" && false)
 ifeq ($(TRAVIS),true)
-	git-validation -q -run DCO,short-subject,dangling-whitespace
+	$(GOBIN)/git-validation -q -run DCO,short-subject,dangling-whitespace
 else
 	git fetch -q "https://github.com/containers/image.git" "refs/heads/master"
 	upstream="$$(git rev-parse --verify FETCH_HEAD)" ; \
-		git-validation -q -run DCO,short-subject,dangling-whitespace -range $$upstream..HEAD
+		$(GOBIN)/git-validation -q -run DCO,short-subject,dangling-whitespace -range $$upstream..HEAD
 endif

=== debian/changelog ===
golang-github-containers-image (5.5.2-1ubuntu1) groovy; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable.  Remaining changes:
    - Disable TestComputeDiffID - workaround failure on ubuntu autopkgtest
    - Build-Depend on golang-github-docker-distribution-dev

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 17 Sep 2020 18:25:29 -0400

golang-github-containers-image (5.5.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Reinhard Tartler ]
  * New upstream version 5.5.2
  * docker-libtrust: add patch documentation
  * Update: Lintian overrides
  * Bump standards version, no changes needed

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 10 Sep 2020 07:42:57 -0400

=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
 #   go-md2man,
     libbtrfs-dev,
     libdevmapper-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/containers/image
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-image
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-image.git

=== debian/rules ===
#!/usr/bin/make -f

# disable optional components
TAGS="containers_image_ostree"

export DH_GOLANG_EXCLUDES := openshift
export DH_GOLANG_INSTALL_EXTRA := $(shell find . -type d -name 'fixtures') $(wildcard docs/*.json)

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- -tags $(TAGS)
#	$(MAKE) docs

override_dh_auto_test:
	# TODO: investiate failures
	-dh_auto_test

## golang-github-containers-image 5.8.1

=== debian/changelog ===
golang-github-containers-image (5.8.1-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable TestComputeDiffID - workaround failure on ubuntu autopkgtest
    - Build-Depend on golang-github-docker-distribution-dev

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 01 Dec 2020 08:54:13 -0800

golang-github-containers-image (5.8.1-1) unstable; urgency=medium

  * No sources need to be excluded
  * New upstream version 5.8.1
  * tighten dependency on containers/storage

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 23 Nov 2020 17:11:43 -0500

golang-github-containers-image (5.6.0+dfsg1-1) unstable; urgency=medium

  * debian/copyright: update using cme update dpkg-copyright
  * debian/watch: add repacksuffix
  * New upstream version 5.6.0
  * Tighten build-depends on containers/storage

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 22 Nov 2020 10:15:36 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: golang-github-containers-image
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
            Dmitry Smirnov <onlyjob@debian.org>,
 Build-Depends: debhelper-compat (= 12),
@@ -10,7 +11,7 @@
     golang-github-acarl005-stripansi-dev,
     golang-github-burntsushi-toml-dev,
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.20),
+    golang-github-containers-storage-dev (>= 1.23.9~),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-docker-distribution-dev,
     golang-github-docker-docker-credential-helpers-dev,
@@ -22,6 +23,7 @@
     golang-github-ghodss-yaml-dev,
     golang-github-imdario-mergo-dev,
     golang-github-klauspost-pgzip-dev,
+    golang-github-manifoldco-promptui-dev,
     golang-github-opencontainers-go-digest-dev,
     golang-github-opencontainers-image-spec-dev (>= 1.0.1-2),
     golang-github-opencontainers-selinux-dev (>= 1.5),
@@ -55,7 +57,7 @@
     golang-github-acarl005-stripansi-dev,
     golang-github-burntsushi-toml-dev,
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.20),
+    golang-github-containers-storage-dev (>= 1.23.9~),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-docker-distribution-dev,
     golang-github-docker-docker-credential-helpers-dev,
@@ -66,6 +68,7 @@
     golang-github-ghodss-yaml-dev,
     golang-github-imdario-mergo-dev,
     golang-github-klauspost-pgzip-dev,
+    golang-github-manifoldco-promptui-dev,
     golang-github-opencontainers-go-digest-dev,
     golang-github-opencontainers-image-spec-dev (>= 1.0.1-2),
     golang-github-opencontainers-selinux-dev,

## golang-github-containers-image 5.10.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 # Which github repository and branch to use for testing with skopeo
 SKOPEO_REPO = containers/skopeo
-SKOPEO_BRANCH = release-1.1
+SKOPEO_BRANCH = master
 # Set SUDO=sudo to run container integration tests using sudo.
 SUDO =
 
@@ -68,7 +68,7 @@
 
 .install.golangci-lint:
 	if [ ! -x "$(GOBIN)/golangci-lint" ]; then \
-		curl -sfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh| sh -s -- -b $(GOBIN) v1.21.0; \
+		curl -sfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh| sh -s -- -b $(GOBIN) v1.35.2; \
 	fi
 
 .install.golint:
@@ -96,7 +96,7 @@
 		cd $${skopeo_path} && \
 		GO111MODULE="on" go mod edit -replace $${project_module}=$${project_path} && \
 		make vendor && \
-		make BUILDTAGS="$(BUILDTAGS)" binary-local test-unit-local && \
+		make BUILDTAGS="$(BUILDTAGS)" bin/skopeo test-unit-local && \
 		$(SUDO) make BUILDTAGS="$(BUILDTAGS)" check && \
 		rm -rf $${skopeo_path}

## golang-github-containers-image 5.10.3

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 # Which github repository and branch to use for testing with skopeo
 SKOPEO_REPO = containers/skopeo
-SKOPEO_BRANCH = master
+SKOPEO_BRANCH = release-1.2
 # Set SUDO=sudo to run container integration tests using sudo.
 SUDO =

=== debian/changelog ===
golang-github-containers-image (5.10.3-1) unstable; urgency=medium

  * New upstream version, focused bugfix release targetted for podman 3.0
  * Tighten build-depends on golang-github-containers-storage

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 21 Feb 2021 16:01:53 -0500

golang-github-containers-image (5.10.1-1) unstable; urgency=medium

  * New upstream version 5.10.1
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 02 Feb 2021 08:53:20 -0500

golang-github-containers-image (5.9.0-1) experimental; urgency=medium

  * New upstream version 5.9.0

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 14 Dec 2020 07:31:16 -0500

golang-github-containers-image (5.8.1-3) unstable; urgency=medium

  * upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 05 Dec 2020 14:11:31 -0500

golang-github-containers-image (5.8.1-2) experimental; urgency=medium

  * Bump Standards-Version
  * add explicit dependency on golang-github-moby-sys-dev, Closes: #976217
  * Introduce extra package for documentation and configuration files

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 03 Dec 2020 08:52:23 -0500

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: golang-github-containers-image
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
            Dmitry Smirnov <onlyjob@debian.org>,
 Build-Depends: debhelper-compat (= 12),
     dh-golang,
+    go-md2man,
     golang-any,
     golang-github-acarl005-stripansi-dev,
     golang-github-burntsushi-toml-dev,
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.23.9~),
+    golang-github-containers-storage-dev (>= 1.24.8),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-docker-distribution-dev,
     golang-github-docker-docker-credential-helpers-dev,
     golang-github-docker-docker-dev,
-    golang-github-docker-distribution-dev,
     golang-github-docker-go-connections-dev,
     golang-github-docker-libtrust-dev,
     golang-github-fullsailor-pkcs7-dev,
@@ -24,6 +23,7 @@
     golang-github-imdario-mergo-dev,
     golang-github-klauspost-pgzip-dev,
     golang-github-manifoldco-promptui-dev,
+    golang-github-moby-sys-dev,
     golang-github-opencontainers-go-digest-dev,
     golang-github-opencontainers-image-spec-dev (>= 1.0.1-2),
     golang-github-opencontainers-selinux-dev (>= 1.5),
@@ -44,12 +44,20 @@
 #   go-md2man,
     libbtrfs-dev,
     libdevmapper-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/containers/image
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-image
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-image.git
 XS-Go-Import-Path: github.com/containers/image
 Testsuite: autopkgtest-pkg-go
+
+Package: golang-github-containers-image
+Architecture: all
+Depends: ${misc:Depends}
+Replaces: buildah (<< 1.17.1+dfsg1-2)
+Description: Configuration files and manpages for github.com/containers repositories
+ This package contains documentation and configuration files for use by
+ other container projects.
 
 Package: golang-github-containers-image-dev
 Architecture: all
@@ -57,18 +65,18 @@
     golang-github-acarl005-stripansi-dev,
     golang-github-burntsushi-toml-dev,
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.23.9~),
+    golang-github-containers-storage-dev (>= 1.24.8),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-docker-distribution-dev,
     golang-github-docker-docker-credential-helpers-dev,
     golang-github-docker-docker-dev,
-    golang-github-docker-distribution-dev,
     golang-github-docker-go-connections-dev,
     golang-github-docker-libtrust-dev,
     golang-github-ghodss-yaml-dev,
     golang-github-imdario-mergo-dev,
     golang-github-klauspost-pgzip-dev,
     golang-github-manifoldco-promptui-dev,
+    golang-github-moby-sys-dev,
     golang-github-opencontainers-go-digest-dev,
     golang-github-opencontainers-image-spec-dev (>= 1.0.1-2),
     golang-github-opencontainers-selinux-dev,

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,10 @@
 	dh_auto_build -O--buildsystem=golang -- -tags $(TAGS)
 #	$(MAKE) docs
 
+override_dh_auto_install:
+	dh_auto_install --buildsystem=golang
+	make install-docs DESTDIR=$(CURDIR)/debian/golang-github-containers-image
+
 override_dh_auto_test:
 	# TODO: investiate failures
 	-dh_auto_test

=== debian/watch ===
version=4

opts="\
pgpmode=none,\
repack,compression=xz,repacksuffix=+dfsg1,\
dversionmangle=s{[+~]dfsg\d*}{},\
"  https://github.com/containers/image/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-containers-image 5.11.1

=== debian/changelog ===
golang-github-containers-image (5.11.1-1ubuntu1) impish; urgency=medium

  * Disable LTO

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 07 Jun 2021 22:46:14 -0400

golang-github-containers-image (5.11.1-1) experimental; urgency=medium

  * New upstream version
  * Bump dependency on golang-github-vbauerster-mpb-dev

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 28 May 2021 12:03:31 -0400

golang-github-containers-image (5.10.5-2) experimental; urgency=medium

  * New upstream version

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 02 Apr 2021 17:20:56 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: golang-github-containers-image
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
            Dmitry Smirnov <onlyjob@debian.org>,
 Build-Depends: debhelper-compat (= 12),
@@ -11,7 +12,7 @@
     golang-github-acarl005-stripansi-dev,
     golang-github-burntsushi-toml-dev,
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.24.8),
+    golang-github-containers-storage-dev (>= 1.28),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-docker-distribution-dev,
     golang-github-docker-docker-credential-helpers-dev,
@@ -35,7 +36,7 @@
     golang-github-stretchr-testify-dev,
     golang-github-ulikunitz-xz-dev,
     golang-github-vbatts-tar-split-dev,
-    golang-github-vbauerster-mpb-dev (>= 5.0.3),
+    golang-github-vbauerster-mpb-dev (>= 6),
     golang-github-xeipuuv-gojsonschema-dev,
     golang-golang-x-crypto-dev,
     golang-golang-x-net-dev,
@@ -65,7 +66,7 @@
     golang-github-acarl005-stripansi-dev,
     golang-github-burntsushi-toml-dev,
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.24.8),
+    golang-github-containers-storage-dev (>= 1.28),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-docker-distribution-dev,
     golang-github-docker-docker-credential-helpers-dev,

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 # disable optional components
 TAGS="containers_image_ostree"
 
+export DEB_BUILD_MAINT_OPTIONS="optimize=-lto"
 export DH_GOLANG_EXCLUDES := openshift
 export DH_GOLANG_INSTALL_EXTRA := $(shell find . -type d -name 'fixtures') $(wildcard docs/*.json)

## golang-github-containers-image 5.12.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 # Which github repository and branch to use for testing with skopeo
 SKOPEO_REPO = containers/skopeo
-SKOPEO_BRANCH = release-1.2
+SKOPEO_BRANCH ?= master
 # Set SUDO=sudo to run container integration tests using sudo.
 SUDO =
 
@@ -83,40 +83,19 @@
 test:
 	@$(GPGME_ENV) GO111MODULE="on" go test $(BUILDFLAGS) -cover ./...
 
-# This is not run as part of (make all), but Travis CI does run this.
-# Demonstrating a working version of skopeo (possibly with modified SKOPEO_REPO/SKOPEO_BRANCH, e.g.
-#    make test-skopeo SKOPEO_REPO=runcom/skopeo-1 SKOPEO_BRANCH=oci-3 SUDO=sudo
-# ) is a requirement before merging; note that Travis will only test
-# the master branch of the upstream repo.
-test-skopeo:
-	@echo === Testing skopeo build
-	@project_path=$$(pwd) && project_module=$$(GO111MODULE="on" go list .) && export GOPATH=$$(mktemp -d) && \
-		skopeo_path=$${GOPATH}/src/github.com/containers/skopeo && \
-		git clone -b $(SKOPEO_BRANCH) https://github.com/$(SKOPEO_REPO) $${skopeo_path} && \
-		cd $${skopeo_path} && \
-		GO111MODULE="on" go mod edit -replace $${project_module}=$${project_path} && \
-		make vendor && \
-		make BUILDTAGS="$(BUILDTAGS)" bin/skopeo test-unit-local && \
-		$(SUDO) make BUILDTAGS="$(BUILDTAGS)" check && \
-		rm -rf $${skopeo_path}
-
 fmt:
-	@gofmt -l -s -w $(SOURCE_DIRS)
+	@go fmt -l -s -w $(SOURCE_DIRS)
 
 validate: lint
 	@GO111MODULE="on" go vet ./...
-	@test -z "$$(gofmt -s -l . | grep -ve '^vendor' | tee /dev/stderr)"
+	@test -z "$$(go fmt -s -l . | grep -ve '^vendor' | tee /dev/stderr)"
 
 lint:
 	$(GOBIN)/golangci-lint run --build-tags "$(BUILDTAGS)"
 
-# When this is running in travis, it will only check the travis commit range
+# When this is running in CI, it will only check the CI commit range
 .gitvalidation:
 	@which $(GOBIN)/git-validation > /dev/null 2>/dev/null || (echo "ERROR: git-validation not found. Consider 'make clean && make tools'" && false)
-ifeq ($(TRAVIS),true)
-	$(GOBIN)/git-validation -q -run DCO,short-subject,dangling-whitespace
-else
 	git fetch -q "https://github.com/containers/image.git" "refs/heads/master"
 	upstream="$$(git rev-parse --verify FETCH_HEAD)" ; \
 		$(GOBIN)/git-validation -q -run DCO,short-subject,dangling-whitespace -range $$upstream..HEAD
-endif

=== debian/changelog ===
golang-github-containers-image (5.12.0-2) experimental; urgency=medium

  * New upstream version
  * Tighten build-depends on golang-github-containers-storage

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 04 Jun 2021 23:59:06 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: golang-github-containers-image
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
            Dmitry Smirnov <onlyjob@debian.org>,
 Build-Depends: debhelper-compat (= 12),
@@ -12,7 +11,7 @@
     golang-github-acarl005-stripansi-dev,
     golang-github-burntsushi-toml-dev,
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.28),
+    golang-github-containers-storage-dev (>= 1.29),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-docker-distribution-dev,
     golang-github-docker-docker-credential-helpers-dev,
@@ -66,7 +65,7 @@
     golang-github-acarl005-stripansi-dev,
     golang-github-burntsushi-toml-dev,
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.28),
+    golang-github-containers-storage-dev (>= 1.29),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-docker-distribution-dev,
     golang-github-docker-docker-credential-helpers-dev,

## golang-github-containers-image 5.15.2

=== debian/changelog ===
golang-github-containers-image (5.15.2-2) unstable; urgency=medium

  * bump dependency on golang-github-vbauerster-mpb-dev

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 28 Aug 2021 23:13:18 +0200

golang-github-containers-image (5.15.2-1) unstable; urgency=medium

  * New upstream version, closes: #992141

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 28 Aug 2021 17:47:45 +0200

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
     golang-github-stretchr-testify-dev,
     golang-github-ulikunitz-xz-dev,
     golang-github-vbatts-tar-split-dev,
-    golang-github-vbauerster-mpb-dev (>= 6),
+    golang-github-vbauerster-mpb-dev (>= 7),
     golang-github-xeipuuv-gojsonschema-dev,
     golang-golang-x-crypto-dev,
     golang-golang-x-net-dev,
@@ -87,7 +87,7 @@
     golang-github-stretchr-testify-dev,
     golang-github-ulikunitz-xz-dev,
     golang-github-vbatts-tar-split-dev,
-    golang-github-vbauerster-mpb-dev (>= 5.0.3),
+    golang-github-vbauerster-mpb-dev (>= 7),
     golang-github-xeipuuv-gojsonschema-dev,
     golang-golang-x-crypto-dev,
     golang-golang-x-net-dev,

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,8 @@
 # disable optional components
 TAGS="containers_image_ostree"
 
-export DEB_BUILD_MAINT_OPTIONS="optimize=-lto"
+# disable LTO, cf. https://wiki.debian.org/ToolChain/LTO
+export DEB_BUILD_MAINT_OPTIONS := optimize=-lto
 export DH_GOLANG_EXCLUDES := openshift
 export DH_GOLANG_INSTALL_EXTRA := $(shell find . -type d -name 'fixtures') $(wildcard docs/*.json)

## golang-github-containers-image 5.16.0

=== Makefile ===
--- 
+++ 
@@ -84,11 +84,10 @@
 	@$(GPGME_ENV) GO111MODULE="on" go test $(BUILDFLAGS) -cover ./...
 
 fmt:
-	@go fmt -l -s -w $(SOURCE_DIRS)
+	@gofmt -l -s -w $(SOURCE_DIRS)
 
 validate: lint
-	@GO111MODULE="on" go vet ./...
-	@test -z "$$(go fmt -s -l . | grep -ve '^vendor' | tee /dev/stderr)"
+	@BUILDTAGS="$(BUILDTAGS)" hack/validate.sh
 
 lint:
 	$(GOBIN)/golangci-lint run --build-tags "$(BUILDTAGS)"
@@ -96,6 +95,6 @@
 # When this is running in CI, it will only check the CI commit range
 .gitvalidation:
 	@which $(GOBIN)/git-validation > /dev/null 2>/dev/null || (echo "ERROR: git-validation not found. Consider 'make clean && make tools'" && false)
-	git fetch -q "https://github.com/containers/image.git" "refs/heads/master"
+	git fetch -q "https://github.com/containers/image.git" "refs/heads/main"
 	upstream="$$(git rev-parse --verify FETCH_HEAD)" ; \
 		$(GOBIN)/git-validation -q -run DCO,short-subject,dangling-whitespace -range $$upstream..HEAD

=== debian/changelog ===
golang-github-containers-image (5.16.0-3) unstable; urgency=medium

  * Avoid autopkgtest failure

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 26 Oct 2021 13:09:20 -0400

golang-github-containers-image (5.16.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 25 Oct 2021 17:18:26 -0400

golang-github-containers-image (5.16.0-1) experimental; urgency=medium

  * New upstream release
    - tighten dependency on containers/storage
  * manpage-fixups.patch: fix some nroff/whatis warnings to ensure proper
    whatis/apropos parsing
  * Bump standards version, no changes needed

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 06 Oct 2021 15:45:59 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
     golang-github-acarl005-stripansi-dev,
     golang-github-burntsushi-toml-dev,
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.29),
+    golang-github-containers-storage-dev (>= 1.36),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-docker-distribution-dev,
     golang-github-docker-docker-credential-helpers-dev,
@@ -41,10 +41,9 @@
     golang-golang-x-net-dev,
     golang-golang-x-sync-dev,
     golang-gopkg-cheggaaa-pb.v1-dev,
-#   go-md2man,
     libbtrfs-dev,
     libdevmapper-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/containers/image
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-image
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-image.git
@@ -65,7 +64,7 @@
     golang-github-acarl005-stripansi-dev,
     golang-github-burntsushi-toml-dev,
     golang-github-containers-ocicrypt-dev,
-    golang-github-containers-storage-dev (>= 1.29),
+    golang-github-containers-storage-dev (>= 1.36),
     golang-github-coreos-bbolt-dev (>= 1.3.3~),
     golang-github-docker-distribution-dev,
     golang-github-docker-docker-credential-helpers-dev,

=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,11 @@
 
 override_dh_auto_build:
 	dh_auto_build -O--buildsystem=golang -- -tags $(TAGS)
-#	$(MAKE) docs
+
+override_dh_strip_nondeterminism:
+	# this file comes from the testsuite, not a source of non-determinism
+	dh_strip_nondeterminism -XHello.gz
 
 override_dh_auto_install:
 	dh_auto_install --buildsystem=golang
 	make install-docs DESTDIR=$(CURDIR)/debian/golang-github-containers-image
-
-override_dh_auto_test:
-	# TODO: investiate failures
-	-dh_auto_test
